<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('individual_zones', function (Blueprint $table) {
            $table->id();
            $table->string('main_title')->nullable();
            $table->longText('main_description')->nullable();
            $table->json('main_images')->nullable();
            $table->string('background_color')->nullable();
            $table->string('game_count')->nullable();
            // Second section
            $table->string('second_title')->nullable();
            $table->string('button_text')->nullable();
            $table->string('button_color')->nullable();
            $table->string('button_background_color')->nullable();
            // Club Articles
            $table->string('club_articles_heading')->nullable();
            $table->integer('article_count')->nullable();
            $table->string('article_button_text')->nullable();
            $table->string('article_button_color')->nullable();
            $table->string('article_button_background_color')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('individual_zones');
    }
};
